Bug 450092 - flow to disk tests result in valgrind errors and crash on shutting down broker
flow to disk tests result in valgrind errors and crash on shutting down broker
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity high
: ---
: ---
Assigned To: Alan Conway
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 06:25 EDT by Gordon Sim
Modified: 2009-05-07 16:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 11:06:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
valgrind output (64.77 KB, text/plain)
2008-06-05 06:27 EDT, Gordon Sim
no flags Details

  None (edit)
Description Gordon Sim 2008-06-05 06:25:38 EDT
from kim:

"I have checked in my flow-to-disk tests and python test framework for
the store (r2131). However, the four tests have been disabled as they
cause a broker crash (segfault) on broker close - apart from numerous
illegal reads and other conditions."
Comment 1 Gordon Sim 2008-06-05 06:27:40 EDT
Created attachment 308426 [details]
valgrind output
Comment 2 Gordon Sim 2008-06-05 10:48:05 EDT
Seems to boil down to double deletion when Frames are removed from FrameSets
InlineVector.
Comment 3 Alan Conway 2008-06-05 16:43:56 EDT
Fixed revision 663731 - memory management bug in InlineAllocator.
Comment 4 Mike Bonnet 2008-06-19 23:53:09 EDT
qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, qpidd-0.2.667603-1.el5, and rhm-0.2.2153-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.